---
updatedAt: 2025-05-19T20:48:30.000Z
agentTools:
  projectIndex: https://docs.metaplane.dev/llms.txt
---

# Batch fetch tag definitions

Fetch the Metaplane definition for the given tag name. POST is just for a more expressive request body, no mutation occurs

# OpenAPI definition

```json
{
  "openapi": "3.0.1",
  "info": {
    "title": "Metaplane Api",
    "description": "MetaplanePublicApi API description",
    "version": "1.0"
  },
  "servers": [
    {
      "url": "https://dev.api.metaplane.dev"
    }
  ],
  "security": [
    {
      "Authorization": []
    }
  ],
  "paths": {
    "/v1/tags/batch/fetch-tags": {
      "post": {
        "tags": [
          "Tags"
        ],
        "summary": "Batch fetch tag definitions",
        "description": "Fetch the Metaplane definition for the given tag name. POST is just for a more expressive request body, no mutation occurs",
        "operationId": "fetchTagDefinitions",
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/TagDefinitionRequest"
              }
            }
          },
          "required": false
        },
        "responses": {
          "200": {
            "description": "Success",
            "content": {
              "application/json": {
                "schema": {
                  "type": "array",
                  "items": {
                    "$ref": "#/components/schemas/PublicTagDefinition"
                  }
                }
              }
            }
          }
        }
      }
    }
  },
  "components": {
    "schemas": {
      "PublicTagDefinition": {
        "type": "object",
        "properties": {
          "tagId": {
            "type": "integer",
            "format": "int64"
          },
          "name": {
            "type": "string"
          },
          "createdAt": {
            "type": "string",
            "format": "date-time"
          }
        }
      },
      "TagDefinitionRequest": {
        "type": "object",
        "properties": {
          "names": {
            "uniqueItems": true,
            "type": "array",
            "items": {
              "type": "string"
            }
          }
        }
      }
    },
    "securitySchemes": {
      "Authorization": {
        "type": "apiKey",
        "description": "Copy in your API key generated from metaplane",
        "name": "Authorization",
        "in": "header"
      }
    }
  },
  "x-readme": {
    "explorer-enabled": true,
    "proxy-enabled": false
  }
}
```